### Hierarchy

- Container
  - PrintCell

## Index

### Constructors

- constructor

### Properties

- _borderColor
- _borderWidths
- _grid
- _textAttributes
- nodeChildDict

### Accessors

- actualHeights
- actualWidths
- actualX
- actualY
- backgroundColor
- binding
- borderColor
- borderWidths
- cellHeight
- cellWidth
- children
- componentChildren
- containerWidth
- gridChildren
- height
- id
- layout
- padding
- parentContainer
- textAttributes
- width
- x
- y

### Methods

- assignChildren
- assignContainerWidth
- assignParentWidth
- calcAndAssignContainerWidth
- initCellWith
- initComponentWith
- initContainerWith

## Constructors

### constructor

- new PrintCell(parentContainer: Container, node?: Node): PrintCell

- Overrides Container.constructor

  - Defined in print/PrintForm.ts:450

  #### Parameters

  - ##### parentContainer: Container

  - ##### Optional node: Node

  #### Returns PrintCell

## Properties

### Private _borderColor

_borderColor: Color

- Defined in print/PrintForm.ts:448

### Private _borderWidths

_borderWidths: Edges

- Defined in print/PrintForm.ts:449

### Private _grid

_grid: Grid

- Defined in print/PrintForm.ts:450

### Protected _textAttributes

_textAttributes: TextAttributes

Inherited from Component._textAttributes

- Defined in print/PrintForm.ts:126

### Protected nodeChildDict

nodeChildDict: Object

Inherited from Spec.nodeChildDict

- Defined in print/PrintForm.ts:109

## Accessors

### actualHeights

- get actualHeights(): Array<number>

- Inherited from Component.actualHeights

  - Defined in print/PrintForm.ts:186

  #### Returns Array<number>

### actualWidths

- get actualWidths(): Array<number>

- Inherited from Component.actualWidths

  - Defined in print/PrintForm.ts:189

  #### Returns Array<number>

### actualX

- get actualX(): number

- Inherited from Component.actualX

  - Defined in print/PrintForm.ts:192

  #### Returns number

### actualY

- get actualY(): number

- Inherited from Component.actualY

  - Defined in print/PrintForm.ts:195

  #### Returns number

### backgroundColor

- get backgroundColor(): Color

- Inherited from Component.backgroundColor

  - Defined in print/PrintForm.ts:171

  #### Returns Color

### binding

- get binding(): Binding

- Inherited from Component.binding

  - Defined in print/PrintForm.ts:174

  #### Returns Binding

### borderColor

- get borderColor(): Color

- - Defined in print/PrintForm.ts:461

  #### Returns Color

### borderWidths

- get borderWidths(): Edges

- - Defined in print/PrintForm.ts:464

  #### Returns Edges

### cellHeight

- get cellHeight(): number

- - Defined in print/PrintForm.ts:467

  #### Returns number

### cellWidth

- get cellWidth(): number

- - Defined in print/PrintForm.ts:470

  #### Returns number

### children

- get children(): Array<Component>

- Inherited from Container.children

  - Defined in print/PrintForm.ts:232

  #### Returns Array<Component>

### componentChildren

- get componentChildren(): Array<Component>

- - Defined in print/PrintForm.ts:473

  #### Returns Array<Component>

### containerWidth

- get containerWidth(): number

- Inherited from Container.containerWidth

  - Defined in print/PrintForm.ts:235

  #### Returns number

### gridChildren

- get gridChildren(): Array<Grid>

- - Defined in print/PrintForm.ts:482

  #### Returns Array<Grid>

### height

- get height(): number

- Inherited from Component.height

  - Defined in print/PrintForm.ts:198

  #### Returns number

### id

- get id(): string

- Inherited from Component.id

  - Defined in print/PrintForm.ts:177

  #### Returns string

### layout

- get layout(): Layout

- Inherited from Component.layout

  - Defined in print/PrintForm.ts:180

  #### Returns Layout

### padding

- get padding(): Edges

- Inherited from Component.padding

  - Defined in print/PrintForm.ts:183

  #### Returns Edges

### parentContainer

- get parentContainer(): Container

- Inherited from Component.parentContainer

  - Defined in print/PrintForm.ts:201

  #### Returns Container

### textAttributes

- get textAttributes(): TextAttributes

- Inherited from Component.textAttributes

  - Defined in print/PrintForm.ts:204

  #### Returns TextAttributes

### width

- get width(): number

- Inherited from Component.width

  - Defined in print/PrintForm.ts:207

  #### Returns number

### x

- get x(): number

- Inherited from Component.x

  - Defined in print/PrintForm.ts:210

  #### Returns number

### y

- get y(): number

- Inherited from Component.y

  - Defined in print/PrintForm.ts:213

  #### Returns number

## Methods

### Protected assignChildren

- assignChildren(c: Array<Component>): void

- Inherited from Container.assignChildren

  - Defined in print/PrintForm.ts:241

  #### Parameters

  - ##### c: Array<Component>

  #### Returns void

### Protected assignContainerWidth

- assignContainerWidth(width: number): void

- Inherited from Container.assignContainerWidth

  - Defined in print/PrintForm.ts:244

  #### Parameters

  - ##### width: number

  #### Returns void

### Protected assignParentWidth

- assignParentWidth(parentWidth: number): void

- Inherited from Container.assignParentWidth

  - Defined in print/PrintForm.ts:247

  #### Parameters

  - ##### parentWidth: number

  #### Returns void

### Protected calcAndAssignContainerWidth

- calcAndAssignContainerWidth(parentContainer: Container): void

- Overrides Container.calcAndAssignContainerWidth

  - Defined in print/PrintForm.ts:502

  #### Parameters

  - ##### parentContainer: Container

  #### Returns void

### initCellWith

- initCellWith(overrideLayout?: Layout, overrideChildren?: Array<Component>): void

- - Defined in print/PrintForm.ts:491

  #### Parameters

  - ##### Optional overrideLayout: Layout

  - ##### Optional overrideChildren: Array<Component>

  #### Returns void

### initComponentWith

- initComponentWith(overrideLayout?: Layout): void

- Inherited from Component.initComponentWith

  - Defined in print/PrintForm.ts:162

  #### Parameters

  - ##### Optional overrideLayout: Layout

  #### Returns void

### initContainerWith

- initContainerWith(overrideLayout?: Layout, overideChildren?: Array<Component>): void

- Inherited from Container.initContainerWith

  - Defined in print/PrintForm.ts:258

  #### Parameters

  - ##### Optional overrideLayout: Layout

  - ##### Optional overideChildren: Array<Component>

  #### Returns void

Generated using TypeDoc